LINUX.ORG.RU
ФорумTalks

Просьба к сусеводам


0

0

Я тут обнаружил, что в openSUSE начисто отсутствует поддержка Layer 2 Tunneling Protocol (L2TP). Конкретно, пакета xl2tpd нет ни на диске, ни в официальных репах. Не говоря уже о возможности настроить соединение через Network Manager. Между тем, многие провайдеры сейчас переходят на l2tp со старого pptp, так что поддержка его в дистрибутиве не будет лишней. В этой связи я составил feature request:

https://features.opensuse.org/309322

Проголосуйте за него, пожалуйста. Для этого, возможно, понадобится зарегистрироваться на сайте. Впрочем, у многих пользователей SUSE наверняка уже есть логин.

Ответ на: комментарий от yaroslav

Глазки открыли: это пакет из домашнего проекта какого-то пользователя k0da, который х/з как собран, не поддерживается и в любую секунду может исчезнуть из OBS. Нужно включение пакета в официальный репозиторий и официальный же мейнтейнер.

SlonoInquisitor
() автор топика
Ответ на: комментарий от SlonoInquisitor

А я и не обещал чуда. Тем не менее, сабж есть, пусть даже и в таком виде. В любом случае - это лучше, чем ничего.

yaroslav
()
Ответ на: комментарий от yaroslav

Ну это да. Спасибо, конечно. Просто хотелось бы большего. А именно, официальной поддержки пакета. А также допиливания Network Manager или Yast.

SlonoInquisitor
() автор топика

Сабж есть и собран через билдСервис. Главное, что кривые руки его не модифицировали.

impr
()
Ответ на: комментарий от impr

Защитникам пакета в стороннем репозитории посвящается. Каким образом предполагается установка этого самого пакета, если именно от него и будет зависеть наличие интернета на целевой машине? man bootstrap

Dendy ★★★★★
()

Про слухам, Network Manager мало где работает как надо. А чем Yast не нравится??? Я был приятно удивлён набором необходимых и удобных инструментов. Бывает, что настройки перетираются, даже созданные в Yast (последнее - это затирание профиля для бэкапа). Но Новвэл не абы какая компания и всё подправят PS. И, как водится в OS, что небудь да сломают

impr
()
Ответ на: комментарий от Dendy

Вот-вот. Обязательно нужно добиться включения если не на LiveCD, то хотя бы на DVD, как pptp в свое время.

SlonoInquisitor
() автор топика
Ответ на: комментарий от impr

NM становится лучше, на мой взгляд. Во всяком случае, pptp через него уже сносно работает (проверял в Ubuntu 10.04). Настройка через NM удобнее, чем через Yast, на ноутбуках, которые часто нужно перенастраивать на разные wi-fi сети. Для стационарных компьютеров это безразлично, через что настраивать, лишь бы это быстро делалось и стабильно потом работало. Возможность настройки через Yast тоже не помешает, разумеется.

SlonoInquisitor
() автор топика
Ответ на: комментарий от RaDiSt

Погуглил. Замечательно. Наверняка знающий и квалифицированный человек. Если он станет официальным мейнтейнером пакета xl2tpd, я буду счастлив. А пока у этого пакета нет оф. мейнтейнера, что я и предлагаю исправить в своем feature request.

SlonoInquisitor
() автор топика

проголосовав на опэн фэйте, подумал, что «slonoinquisitor» это некое английское неведомое для меня слово )))

impr
()

проголосовал.

топикстартер тестил пакет xl2tpd из репозитария k0da? стоит именно его включать в дистрибутив?

дайте линк на плагин к NetworkManager'у для l2tp

HighwayStar ★★★★★
()

кроме голосования можно еще добавляться в Intrested Persons

HighwayStar ★★★★★
()
Ответ на: комментарий от artb1sh

ну вот надо писать об этом на openFATE, тогда пакет допилят. для включения на DVD и в FActory сейчас уже довольно поздно, но можно из домашнего репозитария его перенести в Contrib и в следующей версии включить в официальный.

HighwayStar ★★★★★
()

проголосовал, но собственно что мешает собрать самому в OBS пусть даже скопировать у того же k0da, разместить у себя в репе и не боятся что пакет исчезнет, это займёт не больше 1 минуты, заодно можно не х/з как собрать, если доверия нету.

Novell-ch ★★★★★
()
Ответ на: комментарий от Novell-ch

Пакеты удалять привычки не имею.

Минимум он поедет в Network:Utilities

По багу с инит скриптом если вы о том что демон не тушится через него то ето мы исправим.

Да вы правы. Для пакета нужен мейнтейнер. Но я не имею возможности создать подключение :(. Потому пакет просто собран и протестирован некоторыми пользователями.

В фактори включить попробовать можно. Но для 11.3 уже слишком поздно.

k0da
()
Ответ на: комментарий от artb1sh

Пофиксил инит скрипт.

Протестируйте пож-ста

k0da
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.